# Uses of Interface
org.eclipse.birt.report.model.api.extension.IMessages

Packages that use IMessages
Package
Description
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.

## Uses of IMessages in org.eclipse.birt.report.model.api.extension

Methods in org.eclipse.birt.report.model.api.extension that return IMessages
Modifier and Type
Method
Description
`IMessages`
IReportItemFactory.`getMessages()`
Returns the `IMessages`, which can get localized message for the given resource key and locale.
`abstract IMessages`
ReportItemFactory.`getMessages()`